Now that I have Haxchi, is it ok for me to update? And if I do update, can I still use trainers?

Discussion in 'Wii U - Hacking & Backup Loaders' started by RedRose30, Jul 19, 2017.

  1. RedRose30
    OP

    RedRose30 GBAtemp Regular

    Member
    295
    38
    Jul 14, 2016
    United States
    Hello. I finally managed to install haxchi and am still on 5.5.1, and I want to know if I can update to 5.5.2 without any repercussions (I use homebrew mostly for saviine since save backups are very important to me, jgeckou, and trainers). I know people who have haxchi said it was fine on 5.5.2, but I want to be sure.

    Now if it is truly fine, I'd imagine I can still use saviine, jgeckou, and other internet based homebrew apps, but when I used a trainer for Paper Mario: Color Splash, I'm pretty sure I had to use the internet browser to access a website first before it worked. Since Nintendo patched internet methods, I'm assuming it's no longer going to work, but I don't know for sure. If trainers no longer work on 5.5.2, I'm not updating.

    I mean I don't have to update, but if it no longer affects anything since I have haxchi and everything still works just fine, I don't see the point in not updating. I also only really care about homebrew. I have no desire to intall CFW.

    Thank you.
     
  2. iAqua

    iAqua GBAtemp Addict

    Member
    GBAtemp Patron
    iAqua is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,745
    2,244
    Dec 7, 2015
    Antarctica
    You can update if you have haxchi.
     
    Anonymous456 likes this.
  3. RedRose30
    OP

    RedRose30 GBAtemp Regular

    Member
    295
    38
    Jul 14, 2016
    United States
    Would I still be able to use trainers though? I'm pretty sure trainers need wj44.xyz/ to work. Did Nintendo block that?
     
  4. fowler002

    fowler002 GBAtemp Fan

    Member
    344
    80
    Jan 3, 2013
    You have a specific question(I.e the trainers) which is different to the million and one other "is it save to update" threads, how many times do people need to be told yes before it becomes clear? Or is it required for everyone to have it answered separately in separate threads?
     
    RedRose30 likes this.
  5. Dekirai

    Dekirai GBAtemp Advanced Fan

    Member
    840
    648
    Jun 21, 2016
    Germany
    for some new trainers (like mine) that use the tcpgecko from bullywiiplaza with the codehandler included, you will need the homebrewlauncher

    Since the tcpgecko is an .elf file, you'll need homebrewlauncher for that, no browser needed. (if you have haxchi)
     
    RedRose30 likes this.
  6. Lacius

    Lacius GBAtemp Guru

    Member
    6,101
    2,431
    May 11, 2008
    United States
    You can update to 5.5.2 if you have Haxchi and the Homebrew Launcher Channel installed already, but it's generally not recommended.

    If there's anything you've been using that requires the use of the internet browser, then you will not be able to use it if you update to 5.5.2. If you do everything through the Homebrew Launcher without the use of the internet browser, then it should be alright.

    As I see no substantive reason to update to 5.5.2, it's not worth the risk of losing browserhax functionality when I might need it in the future.
     
    RedRose30 likes this.
  7. RedRose30
    OP

    RedRose30 GBAtemp Regular

    Member
    295
    38
    Jul 14, 2016
    United States
    I do have haxchi and I can access homebrew. Does this mean trainers will be a-ok on 5.5.2 if I can go to homebrew?
     
  8. Dekirai

    Dekirai GBAtemp Advanced Fan

    Member
    840
    648
    Jun 21, 2016
    Germany
    I don't know if the Trainers still work on 5.5.2 since I'm still on 5.5.1
    But yes, everything should be ok aslong as you can access the homebrewlauncher

    Just get this elf
    https://github.com/BullyWiiPlaza/tcpgecko

    and load it with homebrewlauncher
    then you can use the trainers
     
    RedRose30 likes this.
  9. RedRose30
    OP

    RedRose30 GBAtemp Regular

    Member
    295
    38
    Jul 14, 2016
    United States
    Hmm I'm going to try using several trainers first before I make my decision. I could be wrong, but I'm pretty sure I did need to go to that website for Color Splash. While your trainers may not need that Dekirai, I don't know if it's for the same for all trainers :/

    Out of curiosity though, what trainers do you have?

    I didn't ask this question initially, but lets say I do stay on 5.5.1. I can access the eshop and still download and install games (I installed Brain Age by using that app to access eshop, bought it, pressed download first on Brain Age in the download section on home menu, changed the DNS settings back to auto obtain, unplugged my Wii U, turned it back on, downloaded and installed BA, turned my internet off before the update could kick in, then changed the DNS settings back to don't auto obtain... convoluted and risky, but it worked lol). I could use that same method to buy the BotW DLC and other games I guess, but is there any way I can manipulate the update for Smash 4? Make it so I can download the update for that game first before the system update kicks in?
     
  10. Lacius

    Lacius GBAtemp Guru

    Member
    6,101
    2,431
    May 11, 2008
    United States
    Excluding DS games for Haxchi, why not download and install these things safely using Wii U USB Helper?
     
    RedRose30 likes this.
  11. Dekirai

    Dekirai GBAtemp Advanced Fan

    Member
    840
    648
    Jun 21, 2016
    Germany

    It depends what Gecko Version the Trainer creator used.
    Back in time I used PyGecko (From the web)
    But now I have switched over to the TCPGecko via Homebrewlauncher since it has more abilities that you can do.

    I made a Trainer for Hyrule Warriors (latest Version), Wind Waker HD, Twilight Princess HD and Paper Mario Color Spash, while PMCS is outdated.

    I've rewritten Hyrule Warriors, WWHD and TPHD with the TCPGecko installer because it works better with it.
     
  12. RedRose30
    OP

    RedRose30 GBAtemp Regular

    Member
    295
    38
    Jul 14, 2016
    United States
    I will look into that. Thanks :)
     
    Lush likes this.